package com.kingdee.eas.hr.project;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ProjectChangeFactory
{
    private ProjectChangeFactory()
    {
    }
    public static com.kingdee.eas.hr.project.IProjectChange getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChange)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("79ADB148") ,com.kingdee.eas.hr.project.IProjectChange.class);
    }
    
    public static com.kingdee.eas.hr.project.IProjectChange getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChange)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("79ADB148") ,com.kingdee.eas.hr.project.IProjectChange.class, objectCtx);
    }
    public static com.kingdee.eas.hr.project.IProjectChange getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChange)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("79ADB148"));
    }
    public static com.kingdee.eas.hr.project.IProjectChange getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.hr.project.IProjectChange)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("79ADB148"));
    }
}